%GET_SPEC_COLORMAP Generate colormap for label images
%
%  M = GET_SPEC_COLORMAP
%
% OUTPUT
%  [256-by-3] colormap
%
% DESCRIPTION
% Result is the colormap suitable for the label images 

% Copyright: Pavel Paclik, pavel@ph.tn.tudelft.nl
% Faculty of Applied Physics, Delft University of Technology
% P.O. Box 5046, 2600 GA Delft, The Netherlands

% $Id: get_spec_colormap.m,v 1.5 2005/02/10 15:24:07 pavel Exp $

function m=get_spec_colormap
 
  m = [0 0 0; 0 0 1; 1 0 0; 1 1 1; 0 1 1; 0 1 0; 1 0 1]; 
 
  m = [m ; perms([ 0 0.6 1])];
  
  m = [m ; perms([0 0.3 1])];
     
% other pallete may be obtained by randomizing the existing
% dipimage label palette.
% It seems quite good and high contrast.
% >> prlseed(31); ind=randperm(size(m,1)); m3=m(ind,:); colormap(m3)

