% SI_SET_AREA_MODE classification of road signs using dissimilarities

% Copyright: Pavel Paclik, pavel@ph.tn.tudelft.nl
% Faculty of Applied Physics, Delft University of Technology
% P.O. Box 5046, 2600 GA Delft, The Netherlands

function si_setareamode(fig)
 
  ud=get(fig,'userdata');
  ud.state = 'si_area';
  dipfig_set_action_check(fig,'si_area');
  set(fig,'pointer','cross') 

  udspec=get(ud.hspec,'userdata');
  
  % remove additional lines from spec
  h=findobj(get(ud.hspec,'children'),'type','line',...
	    'tag', 'spectra'); % remove only tagged objects
  delete(h);
  
  set(fig,'WindowButtonDownFcn','showsi_update(''down_dip_area1'')');
  set(fig,'WindowButtonMotionFcn','showsi_update(''motion_dip'')');	
  set(fig,'CloseRequestFcn','showsi_update(''close'')');
