function out=gldbm_visualize(win,type,bc)
    
    if ~exist('type','var'), type='weights'; end
    
    if ~iscell(win), win={win}; end
    
    t=+win{1};
    t=t.u;
    if ~exist('bc','var') % if max bc is given from outside
	bc=t(end); % band count
    end
    
    out=zeros(length(win),bc);
    
    switch type
	case {'weights','w'}
	 % for each mapping:
	 for i=1:length(win)
	     
	     wgldb=win{i};
	     s=+wgldb;
	     featex=s.clf; % feature extraction mappings
	     
	     gc=length(s.l); % number of wavelength groups
	     
	     for j=1:gc
		 weights=featex(j).w;
		 out(i,s.l(j):s.u(j))=abs(weights');
	     end
	 end
	
     case {'bands'}
      
      % plot the bands, identified in several folds

      % for each mapping:
      for i=1:length(win)
	  
	  wgldb=win{i};
	  s=+wgldb;
	  
	  gc=length(s.l); % number of wavelength groups

	  flag=1;
	  for j=1:gc
	      val=((j/2)-round(j/2))==0;
	      out(i,s.l(j):s.u(j))=val;
	  end
      end
	
      
      
    end
    