%pca_apply apply PCA model to the new (test) data
%
% T = pca_apply(X,P,Options)
%
% INPUT 
%   X         [N -by- d] data matrix, N samples, d variables
%   P         matrix returned by pca_train
%   Options.  structure returned by pca_train
%
% OUTPUT
%   T        scores  
%
% DESCRIPTION
%
% SEE ALSO
% pca_train

% Copyright: S. Verzakov, serguei@ph.tn.tudelft.nl
% Faculty of Applied Sciences, Delft University of Technology
% P.O. Box 5046, 2600 GA Delft, The Netherlands

% $Id: pca_apply.m,v 1.2 2004/01/20 10:51:41 serguei Exp $


function T = pca_apply(X,P,Options)

X = prepro(X, Options.X_centering, Options.X_scaling);
T = X*P;

return;

