% rainbow colormap
function r = rainbow(m)

if nargin  == 0 | isempty(m)
  m = size(get(gcf,'colormap'),1);
end

m = ceil(m);

r0 = [0 0 1; ...
      0 1 1; ...           
      0 1 0; ...    
      1 1 0; ...    
      1 0 0];

r  = zeros(m,3);   

x0 = linspace(1,m,5)';

x  = (1:m)';
 
for i=1:3
  r(:,i) = interp1(x0,r0(:,i),x,'linear');
end
 
return
