% SETLI Set labels in the dataset from the label image
%
%     A = SETLI(A,LI)
%
% INPUT 
%   A      spectral dataset
%   LI     image with labels (dip_image)
%
% OUTPUT
%   A      output dataset
%

% $Id: setli.m,v 1.3 2005/02/10 15:24:07 pavel Exp $

% Copyright: Pavel Paclik, pavel@ph.tn.tudelft.nl
% Faculty of Applied Physics, Delft University of Technology
% P.O. Box 5046, 2600 GA Delft, The Netherlands

function a=setli(a,li)
	
	isdataset(a);
	
	objsize=size(li);
	
	lab=reshape(double(li),prod(objsize),1);
	a=setlabels(a,lab);
	
	return