dx = 0.005;
w = 75;
p = 3;


x = [0:dx:2*pi];
y = [sin(x); cos(x)];
y = y + 0.01*randn(size(y));

cm0 = sg(w,p,0);
y0 = sg(cm0,y,2);

cm1 = sg(w,p,1);
y1 = sg(cm1,y,2);

[y2, cm2] = sg(w,p,2,y,2); 

figure;
subplot(2,2,1)
plot(x,y); box on; grid on;

subplot(2,2,2)
plot(x,y0); box on; grid on;

subplot(2,2,3)
plot(x,y1/dx); box on; grid on;

subplot(2,2,4)
plot(x,y2/dx.^2); box on; grid on;


x = [0:dx:1];
y = [x.^2; x.^3; x.^4];
y = y + 0.01*randn(size(y));

y0 = sg(cm0,y,2);
y1 = sg(cm1,y,2);
y2 = sg(cm2,y,2); 

figure;
subplot(2,2,1)
plot(x,y); box on; grid on;

subplot(2,2,2)
plot(x,y0); box on; grid on;

subplot(2,2,3)
plot(x,y1/dx); box on; grid on;

subplot(2,2,4)
plot(x,y2/dx.^2); box on; grid on;

